## fretsonfire 1.2.451.dfsg

=== Makefile ===
PYTHON=c:/apps/actpython/python

all:	dist

dist:
	@echo --- Building EXE
	@cd src ; $(PYTHON) setup.py py2exe ; cd ..

	@echo --- Fixing PyOpenGL
	@cd dist/data ; \
        mkdir OpenGL ; \
        cp ../../data/PyOpenGL__init__.pyc OpenGL/__init__.pyo ; \
        zip library.zip OpenGL/__init__.pyo ; \
        rm -rf OpenGL ; \
        cd ../../

	@echo --- Removing useless stuff
	@rm dist/w9xpopen.exe

	@echo --- Adding missing stuff
	cp /c/winnt/system32/msvcp71.dll dist

	@echo --- Fixing text files
	@unix2dos dist/readme.txt
	@unix2dos dist/copying.txt

run:	dist
	@cd dist ; ./KeyboardHero.exe ; cd ..

clean:
	@rm -rf dist build

.PHONY: dist

## fretsonfire 1.2.512.dfsg

=== Makefile ===
CXFREEZE=/c/users/proj/cx_Freeze-3.0.3/FreezePython
CXFREEZE_BASE=`cygpath -w \`realpath data/win32/lib/Win32GUI.exe\``
PYTHON=python
PYTHON_LIBS=/c/apps/actpython/lib
MAKENSIS=/c/Program\ Files/NSIS/makeNSIS.exe

all:	dist

dist:
	@echo --- Building EXE
	$(CXFREEZE) --target-dir dist --base-binary=$(CXFREEZE_BASE) --include-modules \
encodings.string_escape,\
encodings.iso8859_1,\
OpenGL.arrays.numpymodule,\
OpenGL.arrays.ctypesarrays,\
OpenGL.arrays.ctypespointers,\
OpenGL.arrays.strings,\
OpenGL.arrays.numbers,\
OpenGL.arrays.nones,\
SongChoosingScene,\
GuitarScene,\
GameResultsScene --exclude-modules matplotlib,Tkinter src/FretsOnFire.py

	@echo --- Copying data
	cd src; $(PYTHON) setup.py install_data --install-dir ../dist ; cd ..

	@echo --- Fixing PyOpenGL-ctypes
	mkdir -p dist/OpenGL-3.0.0a4-py2.4.egg-info
	cp -Lr $(PYTHON_LIBS)/site-packages/OpenGL-3.0.0a4-py2.4.egg/EGG-INFO/* dist/OpenGL-3.0.0a4-py2.4.egg-info

	@echo --- Adding missing stuff
	cp /c/winnt/system32/msvcp71.dll \
	   data/win32/lib/*.dll \
	   data/icon.ico \
  	 dist

	@echo --- Fixing text files
	@unix2dos dist/readme.txt
	@unix2dos dist/copying.txt

installer: dist
	@echo --- Making installer
	mkdir -p dist/installer
	cp data/win32/installer/* dist/installer
	$(MAKENSIS) dist/installer/FretsOnFire.nsi

run:	dist
	@cd dist ; ./KeyboardHero.exe ; cd ..

clean:
	@rm -rf dist build

.PHONY: dist installer

## fretsonfire 1.3.110.dfsg

=== debian/changelog ===
fretsonfire (1.3.110.dfsg-3) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Fix hard-coded symlink to the mgopen font (Closes: #653657)
  * Switch from ttf-mgopen to fonts-mgopen
  * Drop dependency on libgl1-mesa-dev since it is no longer needed
    (Closes: #561314, #561985)
  * FoF is implemented in python, no need for ${shlibs:Depends}
  * Add missing ${misc:Depends} to fretsonfire Depends
  * Switch to dpkg-source v3 instead of manual patching using quilt
  * Don't need python-dev in build-deps, switch to python
  * Clean up the patches and add DEP-3 headers to them
  * Link to the correct version of the GPL

  [ Andrew Higginson ]
  * Better description for package 'fretsonfire' describing gameplay,
    included applications etc. and removing non-user-friendly 'this is
    a metapackage...' (LP: #599525) (Closes: #587621)

 -- Paul Wise <pabs@debian.org>  Sun, 01 Jan 2012 13:48:45 +0800

fretsonfire (1.3.110.dfsg-2) unstable; urgency=low

  [ Matthew Johnson ]
  * Change credits to use sectoid/Feelings instead of defy. (Closes: #526399)
    + I'd like to ignore the error / have no music,
    + but that doesn't seem to work. I can't figure out how to
    + catch the exception.

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Remove python-numpy and python-numeric depends. (Closes: #547960).
  * Add depends on libgl1-mesa-dev for now. (Closes: #524731).
  * Add README.source for quilt patch system.
  * Clean up some syntax in debian/copyright.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 21 Oct 2009 16:57:43 -0400

fretsonfire (1.3.110.dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * python-pyogg was renamed into python-ogg, update dependencies accordingly
    (Closes: #494893)

  [ Peter De Wachter ]
  * Fixed watch file.

  [ Matthew Johnson ]
  * New upstream release (Closes: #516912)
   - Rewrote get-orig-source for new source format
   - Removed png-generation from debian/rules since they are provided upstream
   - Removed patches svg.patch, stage.ini.patch and fix_glow_svg.patch because
   they are obsolete
   - Removed build-deps on inkscape and *sdl*, since we are not converting
   svgs any more
  * Add Depends/Recommends on fretsonfire-songs-muldjord

 -- Matthew Johnson <mjj29@adonis.trinhall.cam.ac.uk>  Mon, 02 Mar 2009 23:17:47 +0000

fretsonfire (1.2.512.dfsg-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added David Martínez Martí <deavidsedice@gmail.com> as comaintainer.

  [ David Martínez Martí ]
  * Added fix_glow_svg.patch to fix bug in glow.svg
  * Added keep_sound_when_failed.patch si that the sound does not disappear
    completely when you fail a note and there's no base soundtrack

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 23 Jul 2008 19:45:04 +0200

fretsonfire (1.2.512.dfsg-2) unstable; urgency=low

  * Added fonts_lower_cpu.patch to reduce CPU consumption. Closes: #462624
    Thanks to David Martínez Martí <deavidsedice@gmail.com>
  * Added patch: fix_window_height_bug.patch to fix a bug calculating
    window size when the orthogonal projection window is set.
    Thanks to David Martínez Martí <deavidsedice@gmail.com>

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 22 Jul 2008 12:38:20 +0200

fretsonfire (1.2.512.dfsg-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Removed old Spanish translations. The ones from upstream are up-to-date
    now.
  * Refreshed patch typeerror.patch
  * Standards-Version set to 3.8.0
  * Added call to dh_desktop in debian/rules.
  * Added check in debian/rules to make sure that the images have been
    successfully converted from svg to png files.

  [ Matthew Johnson ]
  * Correct obvious inaccuracies in man page.
  * Add dependency on python-numty
  * Enable use of cached png files
  * Add patch reverting Font.py changes to make text render
  * Use ttf-dejavu instead of ttf-bitstream-vera (Closes: #455580)
  * Reformat Depends: to be more readable
  * Compress using bzip2
  * Apply stage.ini patch from Sami

  [ Jon Dowland ]
  * Add Homepage: control field to source stanza
  * Remove a bashism from the clean target (Closes: #462237)

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 22 Jul 2008 12:12:09 +0200

fretsonfire (1.2.451.dfsg-2) unstable; urgency=low

  [ Matthew Johnson ]
  * Update debian/copyright to be utf8
  * reformat README.Debian-source to be 80 characters/line
  * Added watch file
  * Fixed stage.ini so that lights are smaller (only a problem with the pngs)
    (Closes: #428350)
  * Depend on python-pyvorbis (Closes: #427579)
  * Add note to README.Debian and long description that FoF won't work without
    proper GL support.
  * Add note to README.Debian that only PS2 importing is supported
    (Closes: #428346)
  * Update menu to format menu-2, change menu section
    as-per menu transition

  [ Gonéri Le Bouder ]
  * fixed the watch file

  [Miriam Ruiz]
  * Updated Sami's address in debian/copyright
  * Added patch to fix a crashing on startup due to wrong type. Closes: #437330

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 01 Sep 2007 17:46:06 +0000

fretsonfire (1.2.451.dfsg-1) unstable; urgency=low

  [ Matthew Johnson ]
  * DFSG version/tarball (remove songs and fonts)
  * Add depends on python-pyogg, new version needs it
  * Add recommends on fretsonfire-songs-sectoid
  * Rewrite get-orig-source to use makefile targets
  * Add depends on ttf-bitstream-vera and ttf-mgopen
  * Patch Svg.py no to try and initialise amanith
  * Rename game package to fretsonfire-game
  * Add fretsonfire metapackage
  * Create xpm
  * Move installation to .install
  * Remove lintian-override
  * Added and install .desktop file 

  [ Miriam Ruiz ]
  * Fetch translation sources from SVN in get-orig-source
  * Added translations to the building system
  * New Spanish translations



=== debian/control ===
Source: fretsonfire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Matthew Johnson <mjj29@debian.org>,
 Miriam Ruiz <little_miry@yahoo.es>,
 David Martínez Martí <deavidsedice@gmail.com>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python, python-support (>= 0.4), docbook-to-man
Standards-Version: 3.8.3
Homepage: http://fretsonfire.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/fretsonfire/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/fretsonfire/?op=log

Package: fretsonfire
Architecture: all
Depends: fretsonfire-game, fretsonfire-songs-sectoid, fretsonfire-songs-muldjord, ${misc:Depends}
Description: game of musical skill and fast fingers
 A game of musical skill and fast fingers. The aim of the game is to play
 guitar with the keyboard as accurately as possible.
 .
 Players must press buttons to keep in time with the rhythm of the music,
 shown by markers on screen. An official online high score list allows
 players to show off their skills to competitors around the globe.
 .
 The game comes with an easy to understand tutorial to get players
 started, and a song editor lets players edit and compose songs
 for use in the game.

Package: fretsonfire-game
Architecture: all
Depends: ${python:Depends}, 
         python-pygame, python-opengl, python-imaging, 
         python-ogg, python-pyvorbis, 
         ${misc:Depends}, 
         ttf-dejavu, fonts-mgopen
Recommends: fretsonfire-songs-sectoid, fretsonfire-songs-muldjord
Suggests: vorbis-tools
Description: game of musical skill and fast fingers - Game files
 A game of musical skill and fast fingers. The aim of the game is to 
 play guitar with the keyboard as accurately as possible.
 .
 This is the package containing the game executable code. You will need
 working sound and a 3D capable graphics card.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	docbook-to-man debian/fretsonfire.sgml > fretsonfire.6
	find data -name "*.svg" | sed -e "s/.svg$$/.png/" | while read l; do if ! test -f "$$l"; then echo "Missing $$l"; exit 1; fi; done
	
	# rename and mode these here so that dh_install can do it's magic
	cp debian/fretsonfire.sh fretsonfire
	chmod 755 fretsonfire
	cp data/icon.png fretsonfire.png
	chmod 755 src/FretsOnFire.py
	
	mkdir translations
	cp data/translations/*.po translations/
	cp data/translations/*.py translations/
	if test $(ls debian/translations/* -1 | wc -l) -ne 0; then \
		cp debian/translations/* translations/ ; \
		fi
	cd translations && python update.py
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf translations
	rm -rf `find . -name "*.pyc"`
	rm -f fretsonfire.6 fretsonfire
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# symlink fonts
	ln -sf ../../../fonts/truetype/ttf-dejavu/DejaVuSans.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/international.ttf 
	ln -sf ../../../fonts/truetype/mgopen/MgOpenCosmeticaRegular.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/title.ttf
	ln -sf ../../../fonts/truetype/mgopen/MgOpenCosmeticaRegular.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/default.ttf
	
	# other installation done with dh_install 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman -pfretsonfire-game fretsonfire.6
	dh_install -pfretsonfire-game
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zbzip2

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

ORIG_VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/[^:].*: \(.*\).dfsg-[^-]*$$/\1/p')
print-orig-version:
	echo $(ORIG_VERSION)

../FretsOnFire-$(ORIG_VERSION).tar.gz:
	wget http://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/f/fr/fretsonfire/FretsOnFire-$(ORIG_VERSION).tar.gz --directory-prefix=../

extract_translation_source:
	# get the translation template (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/src && \
		xgettext -o ../data/translations/fretsonfire.pot \
			`grep -r "_(\".*\")" * | awk -F: '{print $$1}' | sort --unique`
	
	cat fretsonfire-$(ORIG_VERSION).dfsg/data/songs/tutorial/script.txt | \
		awk '{ print NR "|" $$0 }' | grep " text " | sed 's/ text */|/g' | \
		awk -F"|" '{ print "\n#: data/songs/tutorial/script.txt:" $$1 " \nmsgid \"" $$3 "\"\nmsgstr \"\""}' \
			>> fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot
	
	msguniq -o fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot \
		fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot
	
	# get the source from the translation files (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/data/translations && \
		for i in *.mo; do \
			msgunfmt $$i > `echo $$i | sed -e "s/.mo/.po/"` ; \
		done
	
	# merge the obtained the translation files with the template (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/data/translations && \
		for i in *.po; do \
			msgmerge -o $$i $$i fretsonfire.pot ; \
		done

get-orig-source: ../FretsOnFire-$(ORIG_VERSION).tar.gz 
	# clean old builds;
	rm -rf "FretsOnFire-src-$(ORIG_VERSION)/" "Frets on Fire-$(ORIG_VERSION)/" "FretsOnFire/" "fretsonfire-$(ORIG_VERSION).dfsg"
	
	# extract source and data
	tar xvzf "../FretsOnFire-$(ORIG_VERSION).tar.gz"
	
	mkdir -p "fretsonfire-$(ORIG_VERSION).dfsg/data"
	
	# we want all the source 
	cp -va "Frets on Fire-$(ORIG_VERSION)/doc" "Frets on Fire-$(ORIG_VERSION)/src" "fretsonfire-$(ORIG_VERSION).dfsg/"
	cp -v "Frets on Fire-$(ORIG_VERSION)"/* "fretsonfire-$(ORIG_VERSION).dfsg/" || true
	
	# copy the data, without the songs, but with the tutorial
	cp -v "Frets on Fire-$(ORIG_VERSION)/data"/* "fretsonfire-$(ORIG_VERSION).dfsg/data/" || true
	rm -f "fretsonfire-$(ORIG_VERSION).dfsg/data"/*.ttf
	cp -va "Frets on Fire-$(ORIG_VERSION)/data/mods" "fretsonfire-$(ORIG_VERSION).dfsg/data/"
	cp -va "Frets on Fire-$(ORIG_VERSION)/data/translations" "fretsonfire-$(ORIG_VERSION).dfsg/data/"
	mkdir -p "fretsonfire-$(ORIG_VERSION).dfsg/data/songs"
	cp -av "Frets on Fire-$(ORIG_VERSION)/data/songs/tutorial" "fretsonfire-$(ORIG_VERSION).dfsg/data/songs/"
	
	# get translation sources (requires subversion)
	svn co https://fretsonfire.svn.sourceforge.net/svnroot/fretsonfire/trunk/data/translations _translations
	mv _translations/* "fretsonfire-$(ORIG_VERSION).dfsg/data/translations/"
	rm -rf _translations
	
	# turn off the execute bit on all the random files
	find "fretsonfire-$(ORIG_VERSION).dfsg" -type f | xargs chmod -x
	
	# build the tarball and clean up
	tar cvfz "../fretsonfire_$(ORIG_VERSION).dfsg.orig.tar.gz" "fretsonfire-$(ORIG_VERSION).dfsg"
	rm -rf "Frets on Fire-$(ORIG_VERSION)/" "FretsOnFire-src-$(ORIG_VERSION)/" "FretsOnFire/" "fretsonfire-$(ORIG_VERSION).dfsg"

.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg.*// \
http://sf.net/fretsonfire/FretsOnFire-src-(.*).tar.gz debian uupdate

## fretsonfire 1.3.110.dfsg2

=== Makefile ===
#
# Frets on Fire Makefile
#
TOP=.
PYTHON=python
PLATFORM=$(shell uname)

include data/Makefile

all:	dist

#
# Win32 binary & installer
#
ifneq "$(findstring Windows_NT, $(OS))" ""
PYTHON_LIBS=c:/python25/lib
MAKENSIS=/c/Program\ Files/NSIS/makeNSIS.exe

dist: graphics translations killscores
	@echo --- Compiling for win32
	$(PYTHON) setup.py sdist -o
	$(PYTHON) setup.py py2exe

	@echo --- Fixing PyOpenGL-ctypes
	cp -Lr $(PYTHON_LIBS)/site-packages/PyOpenGL-3.0.0a5-py2.5.egg dist/win32/data
	cp -Lr $(PYTHON_LIBS)/site-packages/setuptools-0.6c8-py2.5.egg dist/win32/data

	@echo --- Fixing miscellaneous things
	@unix2dos dist/win32/readme.txt
	@unix2dos dist/win32/copying.txt
	@unix2dos dist/win32/install.txt
	@rm -f dist/win32/w9xpopen.exe

installer: dist
	@echo --- Making installer for win32
	mkdir -p dist/win32/installer
	cp data/win32/installer/* dist/win32/installer
	$(MAKENSIS) dist/win32/installer/FretsOnFire.nsi
endif

ifneq "$(findstring Darwin, $(PLATFORM))" ""
dist: graphics translations killscores
	@echo --- Compiling for macosx
	#$(PYTHON) setup.py sdist -o
	$(PYTHON) setup.py py2app

	@echo --- Fixing miscellaneous things
	mv "dist/mac/Frets on Fire.app/Contents/MacOS/Frets on Fire" "dist/mac/Frets on Fire.app/Contents/MacOS/FretsOnFire.bin"
	cp data/launcher-macosx.sh "dist/mac/Frets on Fire.app/Contents/MacOS/Frets on Fire"
endif

sdist: graphics translations killscores
	$(PYTHON) setup.py sdist

clean:
	@rm -rf dist build

.PHONY: dist installer sdist

=== debian/changelog ===
fretsonfire (1.3.110.dfsg2-5ubuntu1) focal; urgency=medium

  * Build using dh-python.
  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 21:18:44 +0100

fretsonfire (1.3.110.dfsg2-5) unstable; urgency=medium

  * Team upload.
  * Add python-pil-compatibility.patch and fix startup error.
    Thanks to Hans Joachim Desserud for the report. (Closes: #872934)
  * Declare compliance with Debian Policy 4.1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Aug 2017 02:19:32 +0200

fretsonfire (1.3.110.dfsg2-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * debian/control: Replace python-imaging with python-pil (Closes: #866426).
  * Drop deprecated menu file and xpm icon.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Sat, 15 Jul 2017 14:53:36 +0200

fretsonfire (1.3.110.dfsg2-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Replace fonts-mgopen dependency with fonts-dejavu. (Closes: #823106)

 -- Markus Koschany <apo@debian.org>  Sun, 01 May 2016 17:10:08 +0200

fretsonfire (1.3.110.dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Remove Matthew Johnson from Uploaders because he is not active anymore.
    (Closes: #762555)
  * Remove David Martínez Martí from Uploaders because he is not active anymore.
  * Add python-PIL-tobytes-error.patch and fix runtime error due to API changes
    in Python PIL. Thanks to Samuele Battarra for the report. (Closes: #807250)
  * debian/rules: Fix Lintian error
    uses-deprecated-compression-for-data-tarball and use xz for compressing
    the tarball.
  * Switch from ttf-dejavu to fonts-dejavu.
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.
  * fretsonfire-game.desktop: Add keywords and a comment in German.
  * fretsonfire-game.docs: Remove debian/README.Debian line because
    README.Debian will be installed automatically.
  * Install 64x64 icon to hicolor icon directory.

 -- Markus Koschany <apo@debian.org>  Sun, 13 Dec 2015 16:30:45 +0100

fretsonfire (1.3.110.dfsg2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * Repackaged upstream source to remove data/PyOpenGL__init__.pyc
    Closes: #744699
  * Upgraded Standards-Version from 3.8.3 to 3.9.5
  * Changed my email address to miriam@debian.org
  * Removed dependency from pysupport
  * Fixed small issue with icons (png)
  * Improved slightly starting script

 -- Miriam Ruiz <miriam@debian.org>  Sat, 19 Apr 2014 00:39:48 +0200

=== debian/control ===
Source: fretsonfire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python
Build-Depends-Indep:
 docbook-to-man,
 python-all
Standards-Version: 4.1.0
Homepage: http://fretsonfire.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/fretsonfire/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/fretsonfire/

Package: fretsonfire
Architecture: all
Depends:
 fretsonfire-game,
 fretsonfire-songs-muldjord,
 fretsonfire-songs-sectoid,
 ${misc:Depends}
Description: game of musical skill and fast fingers
 A game of musical skill and fast fingers. The aim of the game is to play
 guitar with the keyboard as accurately as possible.
 .
 Players must press buttons to keep in time with the rhythm of the music,
 shown by markers on screen. An official online high score list allows
 players to show off their skills to competitors around the globe.
 .
 The game comes with an easy to understand tutorial to get players
 started, and a song editor lets players edit and compose songs
 for use in the game.

Package: fretsonfire-game
Architecture: all
Depends:
 python2,
 python-pil,
 python-ogg,
 python-opengl,
 python-pygame,
 python-pyvorbis,
 fonts-dejavu,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 fretsonfire-songs-muldjord,
 fretsonfire-songs-sectoid
Suggests:
 vorbis-tools
Description: game of musical skill and fast fingers - Game files
 A game of musical skill and fast fingers. The aim of the game is to
 play guitar with the keyboard as accurately as possible.
 .
 This is the package containing the game executable code. You will need
 working sound and a 3D capable graphics card.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-indep: build-stamp

build-arch:

build: build-indep build-arch

build-stamp:
	dh_testdir
	docbook-to-man debian/fretsonfire.sgml > fretsonfire.6
	find data -name "*.svg" | sed -e "s/.svg$$/.png/" | while read l; do if ! test -f "$$l"; then echo "Missing $$l"; exit 1; fi; done

	# rename and mode these here so that dh_install can do it's magic
	cp debian/fretsonfire.sh fretsonfire
	chmod 755 fretsonfire
	cp data/icon.png fretsonfire.png
	chmod 755 src/FretsOnFire.py

	mkdir translations
	cp data/translations/*.po translations/
	cp data/translations/*.py translations/
	if test $(ls debian/translations/* -1 | wc -l) -ne 0; then \
		cp debian/translations/* translations/ ; \
		fi
	cd translations && python2 update.py

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf translations
	rm -rf `find . -name "*.pyc"`
	rm -f fretsonfire.6 fretsonfire fretsonfire.png
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# symlink fonts
	ln -sf ../../../fonts/truetype/dejavu/DejaVuSans.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/international.ttf
	ln -sf ../../../fonts/truetype/dejavu/DejaVuSans.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/title.ttf
	ln -sf ../../../fonts/truetype/dejavu/DejaVuSans.ttf $(CURDIR)/debian/fretsonfire-game/usr/share/games/fretsonfire/data/default.ttf

	# other installation done with dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installman -pfretsonfire-game fretsonfire.6
	dh_install -pfretsonfire-game
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

ORIG_VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/[^:].*: \(.*\).dfsg-[^-]*$$/\1/p')
print-orig-version:
	echo $(ORIG_VERSION)

../FretsOnFire-$(ORIG_VERSION).tar.gz:
	wget http://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/f/fr/fretsonfire/FretsOnFire-$(ORIG_VERSION).tar.gz --directory-prefix=../

extract_translation_source:
	# get the translation template (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/src && \
		xgettext -o ../data/translations/fretsonfire.pot \
			`grep -r "_(\".*\")" * | awk -F: '{print $$1}' | sort --unique`

	cat fretsonfire-$(ORIG_VERSION).dfsg/data/songs/tutorial/script.txt | \
		awk '{ print NR "|" $$0 }' | grep " text " | sed 's/ text */|/g' | \
		awk -F"|" '{ print "\n#: data/songs/tutorial/script.txt:" $$1 " \nmsgid \"" $$3 "\"\nmsgstr \"\""}' \
			>> fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot

	msguniq -o fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot \
		fretsonfire-$(ORIG_VERSION).dfsg/data/translations/fretsonfire.pot

	# get the source from the translation files (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/data/translations && \
		for i in *.mo; do \
			msgunfmt $$i > `echo $$i | sed -e "s/.mo/.po/"` ; \
		done

	# merge the obtained the translation files with the template (needs gettext)
	cd fretsonfire-$(ORIG_VERSION).dfsg/data/translations && \
		for i in *.po; do \
			msgmerge -o $$i $$i fretsonfire.pot ; \
		done

get-orig-source: ../FretsOnFire-$(ORIG_VERSION).tar.gz
	# clean old builds;
	rm -rf "FretsOnFire-src-$(ORIG_VERSION)/" "Frets on Fire-$(ORIG_VERSION)/" "FretsOnFire/" "fretsonfire-$(ORIG_VERSION).dfsg"

	# extract source and data
	tar xvzf "../FretsOnFire-$(ORIG_VERSION).tar.gz"

	mkdir -p "fretsonfire-$(ORIG_VERSION).dfsg/data"

	# we want all the source
	cp -va "Frets on Fire-$(ORIG_VERSION)/doc" "Frets on Fire-$(ORIG_VERSION)/src" "fretsonfire-$(ORIG_VERSION).dfsg/"
	cp -v "Frets on Fire-$(ORIG_VERSION)"/* "fretsonfire-$(ORIG_VERSION).dfsg/" || true

	# copy the data, without the songs, but with the tutorial
	cp -v "Frets on Fire-$(ORIG_VERSION)/data"/* "fretsonfire-$(ORIG_VERSION).dfsg/data/" || true
	rm -f "fretsonfire-$(ORIG_VERSION).dfsg/data"/*.ttf
	cp -va "Frets on Fire-$(ORIG_VERSION)/data/mods" "fretsonfire-$(ORIG_VERSION).dfsg/data/"
	cp -va "Frets on Fire-$(ORIG_VERSION)/data/translations" "fretsonfire-$(ORIG_VERSION).dfsg/data/"
	mkdir -p "fretsonfire-$(ORIG_VERSION).dfsg/data/songs"
	cp -av "Frets on Fire-$(ORIG_VERSION)/data/songs/tutorial" "fretsonfire-$(ORIG_VERSION).dfsg/data/songs/"

	# get translation sources (requires subversion)
	svn co https://fretsonfire.svn.sourceforge.net/svnroot/fretsonfire/trunk/data/translations _translations
	mv _translations/* "fretsonfire-$(ORIG_VERSION).dfsg/data/translations/"
	rm -rf _translations

	# turn off the execute bit on all the random files
	find "fretsonfire-$(ORIG_VERSION).dfsg" -type f | xargs chmod -x

	# build the tarball and clean up
	tar cvfz "../fretsonfire_$(ORIG_VERSION).dfsg.orig.tar.gz" "fretsonfire-$(ORIG_VERSION).dfsg"
	rm -rf "Frets on Fire-$(ORIG_VERSION)/" "FretsOnFire-src-$(ORIG_VERSION)/" "FretsOnFire/" "fretsonfire-$(ORIG_VERSION).dfsg"

.PHONY: build clean binary-indep binary-arch binary install configure
